CTPP2-CONFIG(1)

NAME
ctpp2-config - CTPP configuration tool

SYNOPSIS
ctpp2-config [--version] [--flags] [--cc] [--cxx] [--make] [--libs] [--includes] [--includes2]

DESCRIPTION
ctpp2-config parses data in JSON format from file source.json and prints result to standard output.

--version
    print the ctpp2 version number

--flags
    print C++ compiler flags

--cc
    print executable name of C compiler

--cxx
    print executable name of C++ compiler

--make
    print executable name of make

--libs
    print displays list of libraries

--includes
    print list of include dirs

--includes2
    print list of include dirs with '-I' prefixes

EXIT STATUS

SEE ALSO
ctpp2c(1), ctpp2vm(1), ctpp2i(1), ctpp2json(1)

HISTORY
An ctpp2-config command appeared in CTPP 2.0.0.

AUTHOR
Written by Andrei V. Shetuhin <reki@reki.ru>

REPORTING BUGS
Report bugs to <reki@reki.ru>.

WEBSITE
http://ctpp.havoc.ru/en/ - in English http://ctpp.havoc.ru/ - for Russian speakers

COPYRIGHT
Copyright © 2004 - 2010 CTPP Dev. Team.